__gnu_parallel::_Lexicographic< _T1, _T2, _Compare >(3cxx)

NAME
__gnu_parallel::_Lexicographic< _T1, _T2, _Compare > - Compare __a pair of types lexicographically, ascending.

SYNOPSIS

#include <multiseq_selection.h>

Inherits std::binary_function< std::pair< _T1, _T2 >, std::pair< _T1, _T2 >, bool >.

  Public Types

typedef std::pair< _T1, _T2 > first_argument_type
first_argument_type is the type of the first argument
typedef bool result_type
result_type is the return type
typedef std::pair< _T1, _T2 > second_argument_type
second_argument_type is the type of the second argument

  Public Member Functions

_Lexicographic (_Compare &__comp)
bool operator() (const std::pair< _T1, _T2 > &__p1, const std::pair< _T1, _T2 > &__p2) const

Detailed Description

  template<typename _T1, typename _T2, typename _Compare>
class __gnu_parallel::_Lexicographic< _T1, _T2, _Compare >"Compare __a pair of types lexicographically, ascending.

Member Typedef Documentation

  typedef std::pair< _T1, _T2 > std::binary_function< std::pair< _T1, _T2 > , std::pair< _T1, _T2 > , bool >::first_argument_type [inherited]

first_argument_type is the type of the first argument

  typedef bool std::binary_function< std::pair< _T1, _T2 > , std::pair< _T1, _T2 > , bool >::result_type [inherited]

result_type is the return type

  typedef std::pair< _T1, _T2 > std::binary_function< std::pair< _T1, _T2 > , std::pair< _T1, _T2 > , bool >::second_argument_type [inherited]

second_argument_type is the type of the second argument

Author

Generated automatically by Doxygen for libstdc++ from the source code.